Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.disco
Interface ServerItemsProvider

All Known Implementing Classes:
  FileTransferProxy, MediaProxyService, MultiUserChatServiceImpl, PubSubModule

    public interface ServerItemsProvider

ServerItemsProvider are responsible for providing the items associated with the SERVER. Example of server items are: Public Chatrooms, PubSub service, etc.

When the server starts up, IQDiscoItemsHandler will request to all the services that implement the ServerItemsProvider interface for their DiscoServerItems. Each DiscoServerItem will provide its DiscoInfoProvider which will automatically be included in IQDiscoInfoHandler as the provider for this item's JID. Moreover, each DiscoServerItem will also provide its DiscoItemsProvider which will automatically be included in IQDiscoItemsHandler. Special attention must be paid to the JID since all the items with the same host will share the same DiscoInfoProvider or DiscoItemsProvider. Therefore, a service must implement this interface in order to get its services published as items associatd with the server.

Author:
  Gaston Dombiak

Method Summary
`Iterator<DiscoServerItem>` | `getItems()` Returns an Iterator (of DiscoServerItem) with the items associated with the server or null if none.

Method Detail

### getItems

    Iterator<DiscoServerItem> getItems()

  Returns an Iterator (of DiscoServerItem) with the items associated with the server or null if none.

  Returns:
    an Iterator (of DiscoServerItem) with the items associated with the server or null if none.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.